/*
 * __STL_DEFAULT_TYPE_PARAM
 */
#include <stdio.h>
#include "test_config.h"


template <class T> struct less {
	typedef int int_t;
  };

template <class T, class T1=less<int> >
struct Class {
private:
       int a;
public:
       typedef Class<T,T1> self;
       typedef TYPENAME_KEYWORD T1::int_t int_t;
       self foo (const Class<T,T1>& t) {
         if ( t.a==a ) return *this;
         else return t;
         }
};

Class<int> cl;
Class<int,less<short> > cl2;


int test_default_type_param()
{
  printf("#undef __STL_DEFAULT_TYPE_PARAM  // this does not mean that this works because the typename keyword may be missing\n");

  return 1;
}
