/*
 * __STL_BASE_TYPEDEF_OUTSIDE_BUG
 */
#include <stdio.h>
#include "test_config.h"

template <class Arg1, class Arg2, class Result>
struct binary_function {
    typedef Arg1 first_argument_type;
    typedef Arg1 second_argument_type;
    typedef Result result_type;
};


template <class T>
class plus : public binary_function<T, T, T> {
public:
    plus() {}
    plus(const T&) {}
    T operator()(const T& x, const T& y) const { return x + y; };
};

plus<int> p;
plus<int>::first_argument_type a;

int test_base_typedef_outside_bug()
{
  printf("#undef __STL_BASE_TYPEDEF_OUTSIDE_BUG // also check for\n");
  return 1;
}
