/*
 * __STL_NO_QUALIFIED_FRIENDS
 *
 *
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_QUALIFIED_FRIENDS

#ifdef NAMESPACE_TEST

namespace test_std {
	template <class Result2> class foo;

	template <class Result>
	struct ft_foo {
			typedef Result result_type;
			template <class Result2> friend class test_std::foo;
	};
	ft_foo<int> p;
};

#else

template <class Result2> class foo;

template <class Result>
struct ft_foo {
    typedef Result result_type;
    template <class Result2> friend class ::foo;
};
ft_foo<int> p;

#endif

int test_qualified_friends()
{
  printf("#undef __STL_NO_QUALIFIED_FRIENDS\n");
  return 1;
}

#else
int test_qualified_friends()
{
  printf("#define __STL_NO_QUALIFIED_FRIENDS\n");
  return 1;
}

#endif
