/*
 * __STL_THROW_RETURN_BUG
 */
#include <stdio.h>

#ifdef __STL_NO_EXCEPTIONS
int ex_foo() {
	 try {
		 try { throw(1); }
		 catch (int a) { throw; }
	 } catch (...) {;}
	return 0;
}

int test_throw_return_bug()
{
  (void)ex_foo();
  printf("#undef __STL_THROW_RETURN_BUG\n");
  return 1;
}

#else
int test_throw_return_bug()
{
  printf("#define __STL_THROW_RETURN_BUG\n");
  return 1;
}

#endif