/*
 * __STL_AUTOMATIC_TYPE_TRAITS
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_AUTOMATIC_TYPE_TRAITS
template <class T> int tt_foo(const T&) {
	typedef __type_traits<T> traits;
	return 0;
}


int test_for_automatic_type_traits()
{
  (void)tt_foo(5);
  printf("#undef __STL_AUTOMATIC_TYPE_TRAITS\n");
  return 1;
}

#else
int test_for_automatic_type_traits()
{
  printf("#define __STL_AUTOMATIC_TYPE_TRAITS\n");
  return 1;
}


#endif
