/*
 * __STL_NO_BAD_ALLOC
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_BAD_ALLOC

#if !defined (__STL_NO_NEW_STYLE_HEADERS)
#include <new>
#else
#include <new.h>
#endif

# if !defined (__STL_HAS_NO_NAMESPACES)
 using namespace std;
# endif

bad_alloc badalloc_foo() { bad_alloc err; return err;}


int test_bad_alloc()
{
  (void)badalloc_foo();
  printf("#undef __STL_NO_BAD_ALLOC\n");
  return 1;
}
#else
int test_bad_alloc()
{
  printf("#define __STL_NO_BAD_ALLOC\n");
  return 1;
}

#endif