/*
 * __STL_BROKEN_USING_DIRECTIVE
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_BROKEN_USING_DIRECTIVE
namespace std {
      template <class T> struct Class { typedef T my_type; };
      typedef Class<int>::my_type int_type;
      template <class T> void foo(T,int) {}
      template <class T> void foo(T,int,int) {}
	};
     using std::Class;
     using std::foo;

int test_for_broken_using_directive()
{
  (void)foo(1,1);
  printf("#undef __STL_BROKEN_USING_DIRECTIVE // also check for compiler warnings\n");
  return 1;
}

#else
int test_for_broken_using_directive()
{
  printf("#define __STL_BROKEN_USING_DIRECTIVE\n");
  return 1;
}



#endif
