/*
 * __STL_DEFAULT_CONSTRUCTOR_BUG
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_DEFAULT_CONSTRUCTOR_BUG

# ifdef __STL_USE_NEW_STYLE_HEADERS
#  include <cassert>
#  include <cstdio>
#  include <cstring>
#  include <new>
# else
#  include <assert.h>
#  include <stdio.h>
#  include <string.h>
#  include <new.h>
# endif
int test_for_default_constructor_bug(int, char**) {
	int i;
	double buf[1000];
	char* pc = (char*)buf;
	short* ps = (short*)buf;
	int* pi = (int*)buf;
	long* pl = (long*)buf;
	double* pd = (double*)buf;
	float* pf = (float*)buf;

  printf("__STL_DEFAULT_CONSTRUCTOR_BUG test\n");

	for (i=0; i<100; i++) {
	   	new(pc) char();
        	assert(char()==0 && *pc==0);
		sprintf(pc,"lalala\n");
	        new (ps) short();
		assert(short()==0 && *ps ==0);
		sprintf(pc,"lalala\n");
	        new (pi) int();
		assert(int()==0 && *pi == 0);
		sprintf(pc,"lalala\n");
	        new (pl) long();
		assert(long()==0 && *pl == 0);
		sprintf(pc,"lalala\n");
	        new (pf) float();
		assert(float()==0.0 && *pf == 0.0);
		sprintf(pc,"lalala\n");
	        new (pd) double();
		assert(double()==0.0 && *pd == 0.0);
		sprintf(pc,"lalala\n");
	}
  return 0;
}

#else
int test_for_default_constructor_bug(int, char**) {
   printf("#define __STL_DEFAULT_CONSTRUCTOR_BUG\n");
   return 0;
}

#endif

