/*
 * __STL_NEED_MUTABLE
 */
#include <stdio.h>

#include "test_config.h"

#ifdef TEST_FOR_MUTABLE

struct mut_Class { mutable int a; void update() const { a=0; }  };

mut_Class c;

int test_for_mutable()
{
  c.update();
  printf("#define __STL_NEED_MUTABLE  // keyword implemented\n");
  return 1;
}

#else
int test_for_mutable()
{
  printf("#undef __STL_NEED_MUTABLE  // keyword missing\n");
  return 1;
}

#endif