/*
 * __STL_NONTEMPL_BASE_MATCH_BUG
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_NONTEMPL_BASE_MATCH_BUG

struct output_iterator_tag {};
     struct derived1_tag : public output_iterator_tag {};
     struct derived2_tag : public derived1_tag {};
     struct derived3_tag : public derived2_tag {};
     template<class T> struct output_iterator {
	public:
	output_iterator() {}
	~output_iterator() {}
	};
     template<class T> inline output_iterator_tag
     iterator_category(const output_iterator<T>&) {return output_iterator_tag();}
     template <class T>
     struct derived_iterator : public output_iterator<T> {
	public:
	derived_iterator() {}
	~derived_iterator() {}
	};
     template<class T> inline int select_foo_2(T, T,
                                             output_iterator_tag) { return 0;}
     template<class T> inline int select_foo_2(T, T,
                                             derived1_tag) { return 0;}
     template<class T> inline void nont_base_foo(T pm )  {
	derived_iterator<T> di1, di2;
	(void)select_foo_2(di1, (const derived_iterator<T>&)di2, derived3_tag());
    }

int test_for_nontempl_base_match_bug()
{
   nont_base_foo((int)1);
  printf("#undef __STL_NONTEMPL_BASE_MATCH_BUG\n");
  return 1;
}

#else

int test_for_nontempl_base_match_bug()
{
  printf("#define __STL_NONTEMPL_BASE_MATCH_BUG\n");
  return 1;
}

#endif