/*
 * __STL_NON_TYPE_TMPL_PARAM_BUG
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_FOR_NON_TYPE_TMPL_PARAM_BUG

template <class T, int N>
struct Class {
private:
       T* t;
       enum { t1=N };
public:
       int get_n() { return N; }
};

template <class T, int N>
int operator==(const Class<T,N>& , const Class<T,N>& ) { return 0; }

Class<int, 1> cl;
Class<int, 1> cl2;
int i(cl==cl2);

int test_for_non_type_tmpl_param_bug()
{
  printf("#undef __STL_NON_TYPE_TMPL_PARAM_BUG\n");
  return 1;
}

#else
int test_for_non_type_tmpl_param_bug()
{
  printf("#define __STL_NON_TYPE_TMPL_PARAM_BUG\n");
  return 1;
}

#endif
