/*
 * __STL_NO_PARTIAL_SPECIALIZATION_SYNTAX
 */
#include <stdio.h>
#include "test_config.h"

#ifdef TEST_PARTIAL_SPECIALIZATION_SYNTAX

template <class T> class fs_foo {};
template <> class fs_foo<int> {};

int test_partial_specialization_syntax()
{
  fs_foo<int> i;
  printf("#undef __STL_NO_PARTIAL_SPECIALIZATION_SYNTAX\n");
  return 1;
}

#else

int test_partial_specialization_syntax()
{
  printf("#define __STL_NO_PARTIAL_SPECIALIZATION_SYNTAX\n");
  return 1;
}

#endif