/*
 * __STL_BASE_MATCH_BUG
 */
#include <stdio.h>
#include "test_config.h"

struct output_iterator_tag {};
     struct derived1_tag : public output_iterator_tag {};
     struct derived2_tag : public derived1_tag {};
     template<class T> struct output_iterator {
	public:
	output_iterator() {}
	~output_iterator() {}
	friend inline int operator== _NULLARGS (const output_iterator<T>&,
                                      const output_iterator<T>&);
	};
  template<class T> inline int operator==(const output_iterator<T>&,
                              	        const output_iterator<T>&) {
     return 0;
  }
  template<class T> inline output_iterator_tag
  iterator_category(const output_iterator<T>&) {return output_iterator_tag();}
     template <class T>
     struct derived_iterator : public output_iterator<T> {
	public:
	derived_iterator() {}
	~derived_iterator() {}
};

template<class T> inline T select_foo(T t, output_iterator_tag) { return t;}
template<class T> inline int select_foo_2(T, T, output_iterator_tag) { return 0;}
template<class T> inline T tbase_foo(T pm )  {
  derived_iterator<T> di1, di2; int i( di1==di2 && pm);
  return select_foo((int)1,iterator_category(derived_iterator<T>()));
}

int test_base_match_bug()
{
  (void)tbase_foo((int)1);
  printf("#undef __STL_BASE_MATCH_BUG\n");
  return 1;
}
